000030145 - Adaptive Authentication (On Premise) Vulnerability in Apache Xalan-java before v-2.7.2 (CVE-2014-0107) - False Positive

Document created by RSA Customer Support Employee on Jun 14, 2016
Version 1Show Document
  • View in full screen mode

Article Content

Article Number000030145
Applies ToAdaptive Authentication (On Premise) – 7.1 SP0P0 thru 7.1 SP0P5 
OSAll
CVE IDCVE-2014-0107
Article SummaryAdaptive Authentication contain xalan-2.7.1.jar in ../WEB-INF/lib/ directory and this knowledge base article addresses the impact of CVE-2014-0107 with regards to reported Apache Xalan-java vulnerability.
Link to Advisorieshttps://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2014-0107
Alert ImpactNot Exploitable
Technical DetailsThe flaw exists but it is not exploitable
Technical Details ExplanationCVE-2014-0107 –   This vulnerability can be exploited if the version of Xalan-x.jar is prior to v2.7.2 and FEATURE_SECURE_PROCESSING is enabled.  This allows remote attackers to bypass expected restrictions and load arbitrary classes or access external resources via a crafted (1) xalan: content-header, (2) xalan: entities, (3) xslt: content-header, or (4) xslt: entities property, or a Java property that is bound to the XSLT 1.0 system-property function. 
 
However, though  RSA Adaptive Authentication (On Premise) does contain xalan-2.7.1.jar in its war files. (AdaptiveAuthentication.war, AdaptiveAuthenticationAdmin.war, accessmanagement.war,,aggDeviceToken.war, backoffice.war,casemanagement.war, reportviewer.war, scheduler.war, and wscredentialmanager.war ) 
It does 
not use property FEATURE_SECURE_PROCESSING and therefore Adaptive Authentication (On Premise) is not impacted.
NotesThe fix for the reported CVE-2014-0107 vulnerability in Adaptive Authentication (On Premise) requires an upgrade to Apache’s xalan v2.7.2  from the current Apache xalan 2.7.1.  
This is planned for the next release, Adaptive Authentication (On Premise) 7.2.

 

Disclaimer

Read and use the information in this RSA Security Advisory to assist in avoiding any situation that might arise from the problems described herein. If you have any questions regarding this product alert, contact RSA Software Technical Support at 1- 800 995 5095. RSA Corporation distributes RSA Security Advisories, in order to bring to the attention of users of the affected RSA products, important security information. RSA recommends that all users determine the applicability of this information to their individual situations and take appropriate action. The information set forth herein is provided 'as is' without warranty of any kind. RSA disclaims all warranties, either express or implied, including the warranties of merchantability, fitness for a particular purpose, title and non-infringement. In no event, shall RSA or its suppliers, be liable for any damages whatsoever including direct, indirect, incidental, consequential, loss of business profits or special damages, even if RSA or its suppliers have been advised of the possibility of such damages. Some states do not allow the exclusion or limitation of liability for consequential or incidental damages, so the foregoing limitation may not apply.

Attachments

    Outcomes